# Import Products From CSV

**URL** : `/api/v1/products/import_from_csv/`

**Method** : `POST`

#### Content-Type

Required `Content-Type` is `multipart/form-data` with the following single key-value pair:

* Key: `file`
* Value: `{csv file from which to import}`

#### Possible CSV Headers

* `product_name` - String
  * required
* `short_code` - String
  * required
* `active` - Boolean
* `valid_duration` - String
* `trial_days` - Integer
* `hardware_id_required` - Boolean
* `allow_trial` - Boolean
* `authorization_method` - String
  * values can be license-key, user
* `is_archived` - Boolean
* `floating_timeout` - Integer
* `is_bundle` - Boolean

#### Data example

```csv
product_name,short_code
Product A,P001
Product B,P002
```

#### Success Response

**Code** : `200 OK`

**Content examples** :

```json
{
    "job_id": 10
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/product/import-products-from-csv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
